package org.sky.develop.service;


import org.sky.develop.pojo.dto.GeneratorDTO;

import java.util.List;

/**
 * 服务类
 *
 */
public interface IGenerateService {

	/**
	 * 生成代码
	 *
	 * @param ids 主键集合
	 * @return boolean
	 */
	boolean code(List<Long> ids);

	/**
	 * 快速生成代码
	 *
	 * @param dto 配置参数
	 * @return boolean
	 */
	boolean codeFast(GeneratorDTO dto);

}
